%define anolis_release 2
Name:           irqbalance
Version:        1.9.2
Release:        %{anolis_release}%{?dist}
Epoch:          2 
Summary:        IRQ balancing daemon

License:        GPLv2
Url:            https://github.com/Irqbalance/irqbalance
Source0:        https://github.com/Irqbalance/irqbalance/archive/v%{version}/irqbalance-%{version}.tar.gz
Source1:        irqbalance.sysconfig

BuildRequires:  autoconf automake libtool libcap-ng
BuildRequires:  glib2-devel pkgconf libcap-ng-devel
BuildRequires:  systemd ncurses-devel
BuildRequires:  make
Requires: ncurses-libs

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%setup -q

%build
./autogen.sh
%configure
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
install -D -p -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -D -p -m 0644 ./misc/irqbalance.service %{buildroot}/%{_unitdir}/irqbalance.service
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

install -d %{buildroot}%{_mandir}/man1/
install -p -m 0644 ./irqbalance.1 %{buildroot}%{_mandir}/man1/

%check
make check

%files
%{_sbindir}/irqbalance
%{_unitdir}/irqbalance.service
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/sysconfig/irqbalance
%license COPYING

%files doc
%doc COPYING AUTHORS README.md

%post
%systemd_post irqbalance.service

%preun
%systemd_preun irqbalance.service

%postun
%systemd_postun_with_restart irqbalance.service

%triggerun -- irqbalance < 2:0.56-3
if /sbin/chkconfig --level 3 irqbalance ; then
    /bin/systemctl enable irqbalance.service >/dev/null 2>&1 || :
fi
/sbin/chkconfig --del irqbalance >/dev/null 2>&1 || :

%changelog
* Thu Dec 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.9.2-2
- rebuild

* Mon Feb 27 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 1.9.2-1
- update to version 1.9.2

* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 1.8.0-1
- upstream version 1.8.0
